<template>
    <v-layout row>
        <v-flex xs12 sm12>
            <v-card>
                <v-toolbar color="#3DBCEB" dark>
                    <v-toolbar-title>Listado de Ordenes de trabajo</v-toolbar-title>
                    <v-spacer></v-spacer>
                    <v-btn icon>
                        <v-icon @click="searchChange">search</v-icon>
                    </v-btn>
                    <v-text-field v-model="search" @change="searchAction" v-if="searchText" label="Buscar" hint="Presione ENTER para buscar"></v-text-field>
                </v-toolbar>
                <v-list three-line>
                    <v-list-tile v-for="item in getListadoOrdenes.data" :key="item.id" avatar :to="`/pacientes/ordenes/${item.id}`">
                        <v-list-tile-avatar>
                            <v-icon>folder</v-icon>
                        </v-list-tile-avatar>
                        <v-list-tile-content>
                            <v-list-tile-title>{{ item.no_factura }}</v-list-tile-title>
                            <v-list-tile-sub-title>Medico: {{ item.medico }}</v-list-tile-sub-title>
                            <v-list-tile-sub-title>Fecha de Factura: {{ ffactura(item.fecha_factura) }}</v-list-tile-sub-title>
                        </v-list-tile-content>
                        <v-list-tile-action>
                            <v-btn icon ripple>
                                <v-icon color="grey lighten-1">info</v-icon>
                            </v-btn>
                        </v-list-tile-action>
                    </v-list-tile>
                </v-list>
                <v-flex class="text-xs-center">
                    <v-pagination @input="changePage" v-model="page" :total-visible="getListadoOrdenes.per_page" :length="getListadoOrdenes.last_page" circle color="#3DBCEB"></v-pagination>
                </v-flex>
            </v-card>
        </v-flex>
    </v-layout>
</template>

<script>
import moment from 'moment';

export default {
    name: 'OrdenesList',
    props: ['ordenes', 'detalle'],
    mounted() {
        this.setPacientesDetails(this.$route.params.id, this.search, this.page)
    },
    data() {
        return {
            searchText: false,
            search: '',
            page: 1
        }
    },
    methods: {
        setPacientesDetails(route, search, page) {
            this.$store.dispatch('GET_PACIENTE_DETAIL', {
                paciente: route,
                search: search,
                page: page
            })
        },
        searchChange() {
            this.searchText = !this.searchText

        },
        searchAction() {
            this.setPacientesDetails(this.$route.params.id, this.search, this.page)
        },
        changePage() {
            this.setPacientesDetails(this.$route.params.id, this.search, this.page)
        },
        ffactura: function (data) {
            return moment(data).format('DD/MM/YYYY');
        },
    },
    computed: {
        getListadoOrdenes() {
            return this.$store.getters.getListadoOrdenes
        },

    },
}
</script>

<style>
</style>
